Skip to content
payrocdevelopers

List ACH deposits

Browse API reference

GET/ach-depositsgetAchDeposits

Use this method to return a paginated list of ACH deposits that we paid to your merchants.

Note: If you want to view the details of a specific ACH deposit and you have its achDepositId, use our Retrieve ACH Deposit method.

Use query parameters to filter the list of results that we return, for example, to search for ACH deposits that we paid to a specific merchant.

Important: You must provide a value for the date query parameter.

Our gateway returns the following information about each ACH deposit in the list:

  • Merchant that we sent the ACH deposit to.
  • Total amount that we paid the merchant.
  • Breakdown of sales, returns, and fees.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

dateRequiredquerystring

Filter results by the date that the merchant received the ACH deposit.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns a paginated list of ACH deposits.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 30 of 33 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of ACH deposit objects.
    • achAdjustmentintegerint64
      Amount of adjustments that we made to the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
    • achDatestringdate
      Date that we sent the ACH deposit. The format of this value is YYYY-MM-DD.
    • achDepositIdinteger
      Unique identifier that we assigned to the ACH deposit.
    • associationDatestringdate
      Date that we sent the transactions to the card brands for clearing. The format of this value is YYYY-MM-DD.
    • dailyFeesintegerint64
      Amount of fees that were applied to the transactions in the ACH deposit. We return the value in the currency's lowest denomination, for example cents.
    • heldSalesintegerint64
      Amount of funds that we held if the merchant was in full suspense. We return the value in the currency's lowest denomination, for example, cents.
    • holdbackintegerint64
      Amount of funds that we held as reserve from the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
    • linksobject[]
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.
    • merchantobject
      Object that contains information about the merchant.
      • doingBusinessAsstring
        Trading name of the business.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • merchantIdstring
        Unique identifier that the processor assigned to the merchant.
      • processingAccountIdinteger
        Unique identifier that we assigned to the processing account.
    • netAmountintegerint64
      Total amount that we paid the merchant after fees and adjustments. We return the value in the currency's lowest denomination, for example, cents.
    • paymentDatestringdate
      Date that the merchant received the ACH deposit. The format of this value is YYYY-MM-DD.
    • reserveReleaseintegerint64
      Amount of funds that we released from holdback. We return the value in the currency's lowest denomination, for example, cents.
    • returnsintegerint64
      Amount of returns in the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
    • salesintegerint64
      Amount of sales in the ACH deposit. We return the value in the currency's lowest denomination, for example, cents.
    • transactionsinteger
      Number of transactions in the ACH deposit.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer